from constants import *
import input_files

def main():
	names = input_files.NAMES
	
	with open(DATA_DIR + "all.out", 'w') as f:
		with open(DATA_DIR + names[0] + ".out", 'r') as g:
			f.write('\t'.join(["language", "annotator", next(g)]))
		
		for name in names:
			_, lang, annotator = name.split('_')
			with open(DATA_DIR + name + ".out", 'r') as g:
				next(g)
				for l in g:
					f.write('\t'.join([lang, annotator, l]))

if __name__ == "__main__":
	main()

